package run;

import java.util.*;

import java.io.*;

import run.readers.FembicReader;

import uka.karmi.rmi.RemoteException;

import jp.sync.*;

import jp.lang.*;



public interface SmackCluster_instance_intf extends jp.lang.RemoteObject_instance_intf {

  public int run_SmackCluster_number_of_elements_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_elements_set_(int _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_elements_inc_(int _value_, boolean _post_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_trackers_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_trackers_set_(int _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_trackers_inc_(int _value_, boolean _post_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_nodes_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_nodes_set_(int _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_nodes_inc_(int _value_, boolean _post_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_materials_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_materials_set_(int _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_materials_inc_(int _value_, boolean _post_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_controls_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_controls_set_(int _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_controls_inc_(int _value_, boolean _post_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_constraints_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_constraints_set_(int _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_constraints_inc_(int _value_, boolean _post_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_loads_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_loads_set_(int _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_number_of_loads_inc_(int _value_, boolean _post_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.RplVector run_SmackCluster_constraintlist_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.RplVector run_SmackCluster_constraintlist_set_(run.RplVector _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.RplVector run_SmackCluster_loadlist_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.RplVector run_SmackCluster_loadlist_set_(run.RplVector _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.RplVector run_SmackCluster_nodelist_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.RplVector run_SmackCluster_nodelist_set_(run.RplVector _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.RplVector run_SmackCluster_elementlist_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.RplVector run_SmackCluster_elementlist_set_(run.RplVector _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.RplVector run_SmackCluster_trackerlist_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.RplVector run_SmackCluster_trackerlist_set_(run.RplVector _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.RplVector run_SmackCluster_materiallist_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.RplVector run_SmackCluster_materiallist_set_(run.RplVector _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public double run_SmackCluster_time_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public double run_SmackCluster_time_set_(double _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public double run_SmackCluster_time_inc_(double _value_, boolean _post_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public double run_SmackCluster_ttemp_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public double run_SmackCluster_ttemp_set_(double _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public double run_SmackCluster_ttemp_inc_(double _value_, boolean _post_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public double run_SmackCluster_exported_ttemp_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public double run_SmackCluster_exported_ttemp_set_(double _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public double run_SmackCluster_exported_ttemp_inc_(double _value_, boolean _post_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_i_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_i_set_(int _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_i_inc_(int _value_, boolean _post_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.Controlset run_SmackCluster_controlset_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.Controlset run_SmackCluster_controlset_set_(run.Controlset _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.Element run_SmackCluster_temporary_element_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.Element run_SmackCluster_temporary_element_set_(run.Element _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.Tracker run_SmackCluster_temporary_tracker_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.Tracker run_SmackCluster_temporary_tracker_set_(run.Tracker _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.Constraint run_SmackCluster_temporary_constraint_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.Constraint run_SmackCluster_temporary_constraint_set_(run.Constraint _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.Node run_SmackCluster_temporary_node_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.Node run_SmackCluster_temporary_node_set_(run.Node _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.Writer run_SmackCluster_resultwriter_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.Writer run_SmackCluster_resultwriter_set_(run.Writer _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.TrackWriter run_SmackCluster_trackwriter_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.TrackWriter run_SmackCluster_trackwriter_set_(run.TrackWriter _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public java.lang.String run_SmackCluster_filename_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public java.lang.String run_SmackCluster_filename_set_(java.lang.String _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public double run_SmackCluster_timestep_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public double run_SmackCluster_timestep_set_(double _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public double run_SmackCluster_timestep_inc_(double _value_, boolean _post_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public boolean run_SmackCluster_failure_is_set_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public boolean run_SmackCluster_failure_is_set_set_(boolean _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public boolean run_SmackCluster_autostep_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public boolean run_SmackCluster_autostep_set_(boolean _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_nr_of_CPUs_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_nr_of_CPUs_set_(int _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_nr_of_CPUs_inc_(int _value_, boolean _post_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_client_nr_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_client_nr_set_(int _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_client_nr_inc_(int _value_, boolean _post_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.SmackCluster[] run_SmackCluster_cluster_nodes_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.SmackCluster[] run_SmackCluster_cluster_nodes_set_(run.SmackCluster[] _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.SmackCluster run_SmackCluster_cluster_nodes_get_(int p0) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public run.SmackCluster run_SmackCluster_cluster_nodes_set_(int p0, run.SmackCluster _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int[] run_SmackCluster_nodeindicies_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int[] run_SmackCluster_nodeindicies_set_(int[] _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_nodeindicies_get_(int p0) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_nodeindicies_set_(int p0, int _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_nodeindicies_inc_(int p0, int _value_, boolean _post_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int[] run_SmackCluster_elementindicies_get_() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int[] run_SmackCluster_elementindicies_set_(int[] _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_elementindicies_get_(int p0) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_elementindicies_set_(int p0, int _value_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public int run_SmackCluster_elementindicies_inc_(int p0, int _value_, boolean _post_) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public void assembleMassMatrix() throws java.lang.Error, jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public void initialize(java.lang.String fname, run.SmackCluster[] nodes) throws java.lang.Error, java.lang.Exception;

  public void post() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public void print() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public void setInitialConditions() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public void solve(jp.sync.Barrier barrier) throws java.lang.Exception;

  public void passReferences() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public void setReferences(run.RplVector cl, run.RplVector nl, run.RplVector ll, run.RplVector el, run.RplVector ml, run.RplVector tl, run.Controlset cs, run.Writer rw, run.TrackWriter tw, run.SmackCluster[] nod) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public void setVariables(int noc, int non, int nol, int noe, int nom, int not, int noctrl, double timestep, boolean autostep) throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public double getTtemp() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

  public void determineDistribution() throws jp.lang.MovedException, uka.karmi.rmi.RemoteException;

}
